%global pypi_name setuptools-scm
%global srcname setuptools_scm

%bcond_with tests

Name:           python-%{pypi_name}
Version:        8.0.4
Release:        %mkrel 4
Summary:        The blessed package to manage your versions by scm tags
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/setuptools-scm/
Source0:        %{pypi_source %pypi_name}
Patch1:         0001-chore_add-exception-info-to-warning-logging.patch
Patch2:         0002-fix-#953_info-log-level-for-missing-tool-section.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

# For tests
%if %{with tests}
BuildRequires:  python3-pip
BuildRequires:  python3-pytest
BuildRequires:  python3-six
BuildRequires:  python3-toml
BuildRequires:  git-core
BuildRequires:  mercurial
%endif

%description
Setuptools_scm handles managing your python package versions in scm metadata.
It also handles file finders for the supported scms.

%package -n python3-%{pypi_name}
Summary:        The blessed package to manage your versions by scm tags
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
%{?py_provides:%py_provides python3-%{srcname}}
Obsoletes:	python3-setuptools_scm < 7.0.5-2
Obsoletes:	python3-setuptools_scm+toml < 7.0.5-2

%description -n python3-%{pypi_name}
Setuptools_scm handles managing your python package versions in scm metadata.
It also handles file finders for the supported scms.

%{pyproject_extras_subpkg -n python3-%{pypi_name} toml}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v -k 'not (test_pip_download or test_old_setuptools_fails or test_old_setuptools_allows_with_warnings or test_distlib_setuptools_works)'
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md README.md


%changelog
* Fri Feb 21 2025 neoclust <neoclust> 8.0.4-4.mga10
+ Revision: 2150293
- Rebuild against python 3.13

* Mon Feb 26 2024 daviddavid <daviddavid> 8.0.4-3.mga10
+ Revision: 2044524
- backport upstream fixes:
  ° chore: add exception info to warning logging
  ° fix #953 - info log level for missing tool section

* Thu Dec 07 2023 wally <wally> 8.0.4-2.mga10
+ Revision: 2014789
- rebuild for py3.12
- BR pyproject-rpm-macros

* Sun Nov 26 2023 wally <wally> 8.0.4-1.mga10
+ Revision: 2009754
- new version 8.0.4
- use %%pyproject_buildrequires

* Sat Nov 26 2022 papoteur <papoteur> 7.0.5-3.mga9
+ Revision: 1911278
- Fix not enough values to unpack when parsing .git_archival.txt from a tagged commit

* Mon Oct 24 2022 wally <wally> 7.0.5-2.mga9
+ Revision: 1899006
- rename src.rpm as python-setuptools-scm
- switch build to use pyproject rpm macros

* Fri Aug 05 2022 wally <wally> 7.0.5-1.mga9
+ Revision: 1875429
- new version 7.0.5

* Wed Mar 23 2022 umeabot <umeabot> 6.3.2-3.mga9
+ Revision: 1822112
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 6.3.2-2.mga9
+ Revision: 1771863
- rebuild for python3.10

* Sun Nov 28 2021 guillomovitch <guillomovitch> 6.3.2-1.mga9
+ Revision: 1759778
- new version 6.3.2

* Wed Sep 01 2021 wally <wally> 6.0.1-1.mga9
+ Revision: 1743975
- new version 6.0.1

* Sun Mar 14 2021 wally <wally> 5.0.2-2.mga9
+ Revision: 1702590
- rebuild for python 3.9

* Wed Mar 10 2021 guillomovitch <guillomovitch> 5.0.2-1.mga9
+ Revision: 1701190
- new version 5.0.2

* Fri Dec 25 2020 daviddavid <daviddavid> 4.1.2-2.mga8
+ Revision: 1663552
- build python extras subpkg

* Mon Nov 02 2020 guillomovitch <guillomovitch> 4.1.2-1.mga8
+ Revision: 1641740
- new version 4.1.2

* Thu Apr 23 2020 kekepower <kekepower> 3.5.0-1.mga8
+ Revision: 1571199
- Update to version 3.5.0

* Sun Feb 16 2020 umeabot <umeabot> 3.3.3-3.mga8
+ Revision: 1530607
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 3.3.3-2.mga8
+ Revision: 1437158
- rebuild with new python-rpm-macros

* Tue Sep 03 2019 wally <wally> 3.3.3-1.mga8
+ Revision: 1436789
- new version 3.3.3
- drop python2 support
- rebuild for python3.8

* Sat Apr 20 2019 wally <wally> 3.2.0-1.mga7
+ Revision: 1393859
- new version 3.2.0

* Sat Jan 05 2019 wally <wally> 3.1.0-2.mga7
+ Revision: 1349491
- rebuild for python3.7 without tests

* Tue Jan 01 2019 wally <wally> 3.1.0-1.mga7
+ Revision: 1348025
- new version 3.1.0
- enable tests

* Thu Sep 20 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1290023
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 kekepower <kekepower> 2.0.0-1.mga7
+ Revision: 1220475
- Update to version 2.0.0
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 1.15.5-3.mga7
+ Revision: 1135631
- Rebuild for python 3.6

* Sun May 14 2017 ngompa <ngompa> 1.15.5-2.mga6
+ Revision: 1101163
- Port to Mageia
- imported package python-setuptools_scm

